---
title: "Query order specify of your money back order"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/query-order-specify-of-your-money-back-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/query-order-specify-of-your-money-back-order.md'
---
# Query order specify of your money back order

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/:order_id/refunds/:refund_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_id`

  string (required)

  Order id

* `refund_id`

  string (required)

  Refund single id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `refund`

  object

  Refund order

  * `transactions`

    array<object>

    Refund transaction information

    * `currency`

      string

      Currency

    * `order_id`

      string

      Order number

    * `amount`

      string

      Refund amount , accuracy 2

    * `user_id`

      string

      Buyer ID

    * `kind`

      string

      Transaction type (authorization, capture, sale, void, refund)

    * `id`

      string

      Refund ID

    * `status`

      string

      Handling status, pending, failure, success, and error

    * `created_at`

      string

      Creation time

    * `processed_at`

      string

      Creation time

  * `processed_at`

    string

    Update time (see IOS8601 for the format)

  * `created_at`

    string

    Refund form creation time (see IOS8601 for the format)

  * `order_adjustments`

    array<object>

    Adjust the order information

    * `kind`

      string

      Adjust single type

    * `order_id`

      string

      Order number

    * `reason`

      string

      Adjust the reason

    * `tax_amount`

      string

      Adjust the single tax amount

    * `tax_amount_set`

      object

      Adjust the single tax amount

      * `shop_money`

        object

        Store adjusts the amount of single tax

      * `presentment_money`

        object

        Store adjustment single display tax amount

    * `id`

      string

      Refund adjustment single id

    * `amount_set`

      object

      Adjust the single amount

      * `presentment_money`

        object

        Store adjustment of display

      * `shop_money`

        object

        Store adjustment amount

    * `amount`

      string

      Adjust the single amount

    * `refund_id`

      string

      Refund single id

  * `refund_line_items`

    array<object>

    Refund Details

    * `id`

      string

      Refund order number

    * `line_item`

      object

      Product rows

      * `taxable`

        boolean

        Tax or not？

      * `name`

        string

        SKU title, same as title

      * `variant_id`

        string

        Product SKU serial number

      * `id`

        string

        The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

      * `fulfillment_status`

        string

        The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;

      * `grams`

        double

        Weight ( grams )

      * `quantity`

        integer

        Quantity of items in the order

      * `fulfillable_quantity`

        integer

        Available quantity

      * `title`

        string

        Product title

      * `requires_shipping`

        boolean

        Shipping or not

      * `variant_title`

        string

        Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"

      * `vendor`

        string

        Supplier

      * `attribute`

        string

        Product attributes : name-attribute value multiple comma " , " division like : color-red , size-x

      * `sku`

        string

        Product code, barCode

      * `tax_lines`

        array<object>

        Tax information

      * `price`

        string

        Commodity price, precision 2

      * `price_set`

        object

        Product selling price , multi-currency information

      * `fulfillment_service`

        string

        Logistics company name

      * `product_id`

        string

        SPU serial number

    * `restock_type`

      string

      Inventory return type , no_restock- is not returned , cancel- is cancelled , return- is returned

    * `subtotal_set`

      object

      Total refund amount, multi-currency information, same on seller and buyer side

      * `presentment_money`

        object

        Buy side currency

      * `shop_money`

        object

        Sell side amount information

    * `quantity`

      integer

      Quantity, quantity of goods

    * `subtotal`

      double

      Total refund amount, precision 2

    * `total_tax`

      double

      Tax amount of refunded goods, precision 2

    * `total_tax_set`

      object

      Total tax amount, multi-currency information

      * `shop_money`

        object

        Sell side currency

      * `presentment_money`

        object

        Buy side currency

    * `line_item_id`

      string

      The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

  * `user_id`

    string

    User ID

  * `note`

    string

    Refund Notes

  * `order_id`

    string

    Order number

  * `id`

    string

    Refund ID

  * `total_duties_set`

    object

    Refund total duty

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "vUbfUhfM",
  "parameters": [
    {
      "name": "order_id",
      "in": "path",
      "description": "Order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order id",
        "type": "string",
        "example": "21057168152571061289431726"
      },
      "example": "21057168152571061289431726"
    },
    {
      "name": "refund_id",
      "in": "path",
      "description": "Refund single id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "refund_id",
        "description": "Refund single id",
        "type": "string",
        "example": "22057168152571061289431726"
      },
      "example": "22057168152571061289431726"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "refund": {
                "name": "refund",
                "description": "Refund order",
                "type": "object",
                "properties": {
                  "transactions": {
                    "name": "transactions",
                    "description": "Refund transaction information",
                    "type": "array",
                    "items": {
                      "name": "transactions",
                      "description": "Refund transaction information",
                      "type": "object",
                      "properties": {
                        "currency": {
                          "name": "currency",
                          "description": "Currency",
                          "type": "string",
                          "example": "CNY"
                        },
                        "order_id": {
                          "name": "order_id",
                          "description": "Order number",
                          "type": "string",
                          "example": "21056836827909126061559008"
                        },
                        "amount": {
                          "name": "amount",
                          "description": "Refund amount , accuracy 2",
                          "type": "string",
                          "example": "100"
                        },
                        "user_id": {
                          "name": "user_id",
                          "description": "Buyer ID",
                          "type": "string",
                          "example": "\"4323434"
                        },
                        "kind": {
                          "name": "kind",
                          "description": "Transaction type (authorization, capture, sale, void, refund)",
                          "type": "string",
                          "example": "refund"
                        },
                        "id": {
                          "name": "id",
                          "description": "Refund ID",
                          "type": "string",
                          "example": "10100112220607455014540963840"
                        },
                        "status": {
                          "name": "status",
                          "description": "Handling status, pending, failure, success, and error",
                          "type": "string",
                          "example": "success"
                        },
                        "created_at": {
                          "name": "created_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "2022-10-03T12:44:45-04:00"
                        },
                        "processed_at": {
                          "name": "processed_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "2022-10-03T12:44:45-04:00"
                        }
                      },
                      "example": {
                        "kind": "refund",
                        "user_id": "\"4323434",
                        "created_at": "2022-10-03T12:44:45-04:00",
                        "currency": "CNY",
                        "id": "10100112220607455014540963840",
                        "order_id": "21056836827909126061559008",
                        "processed_at": "2022-10-03T12:44:45-04:00",
                        "status": "success",
                        "amount": "100"
                      }
                    },
                    "example": [
                      {
                        "id": "10100112220607455014540963840",
                        "order_id": "21056836827909126061559008",
                        "processed_at": "2022-10-03T12:44:45-04:00",
                        "kind": "refund",
                        "user_id": "\"4323434",
                        "status": "success",
                        "currency": "CNY",
                        "amount": "100",
                        "created_at": "2022-10-03T12:44:45-04:00"
                      }
                    ]
                  },
                  "processed_at": {
                    "name": "processed_at",
                    "description": "Update time (see IOS8601 for the format)",
                    "type": "string",
                    "example": "2022-10-03T12:44:45-04:00"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "Refund form creation time (see IOS8601 for the format)",
                    "type": "string",
                    "example": "2022-10-03T12:44:45-04:00"
                  },
                  "order_adjustments": {
                    "name": "order_adjustments",
                    "description": "Adjust the order information",
                    "type": "array",
                    "items": {
                      "name": "order_adjustments",
                      "description": "Adjust the order information",
                      "type": "object",
                      "properties": {
                        "kind": {
                          "name": "kind",
                          "description": "Adjust single type",
                          "type": "string",
                          "example": "shipping_refund"
                        },
                        "order_id": {
                          "name": "order_id",
                          "description": "Order number",
                          "type": "string",
                          "example": "21057168152571061289431726"
                        },
                        "reason": {
                          "name": "reason",
                          "description": "Adjust the reason",
                          "type": "string",
                          "example": "reason msg"
                        },
                        "tax_amount": {
                          "name": "tax_amount",
                          "description": "Adjust the single tax amount",
                          "type": "string",
                          "example": "100"
                        },
                        "tax_amount_set": {
                          "name": "tax_amount_set",
                          "description": "Adjust the single tax amount",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store adjusts the amount of single tax",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store adjusts the amount of single tax",
                                  "type": "double",
                                  "example": 9.9
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store adjustment of single tax currency",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": 9.9
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Store adjustment single display tax amount",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store adjustment single display tax amount",
                                  "type": "double",
                                  "example": 9.9
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store adjustment single display tax currency",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": 9.9
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": 9.9,
                              "currency_code": "CNY"
                            },
                            "presentment_money": {
                              "amount": 9.9,
                              "currency_code": "CNY"
                            }
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "Refund adjustment single id",
                          "type": "string",
                          "example": "2309123221222208434"
                        },
                        "amount_set": {
                          "name": "amount_set",
                          "description": "Adjust the single amount",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Store adjustment of display",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store adjustment of display",
                                  "type": "double",
                                  "example": 100
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store adjustment of display amount currency",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "amount": 100,
                                "currency_code": "CNY"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store adjustment amount",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store adjustment amount",
                                  "type": "double",
                                  "example": 100
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store adjust the amount currency",
                                  "type": "string",
                                  "example": "CYN"
                                }
                              },
                              "example": {
                                "currency_code": "CYN",
                                "amount": 100
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": 100,
                              "currency_code": "CYN"
                            },
                            "presentment_money": {
                              "currency_code": "CNY",
                              "amount": 100
                            }
                          }
                        },
                        "amount": {
                          "name": "amount",
                          "description": "Adjust the single amount",
                          "type": "string",
                          "example": "100"
                        },
                        "refund_id": {
                          "name": "refund_id",
                          "description": "Refund single id",
                          "type": "string",
                          "example": "27057168152571061289431726"
                        }
                      },
                      "example": {
                        "reason": "reason msg",
                        "amount": "100",
                        "id": "2309123221222208434",
                        "kind": "shipping_refund",
                        "refund_id": "27057168152571061289431726",
                        "tax_amount": "100",
                        "tax_amount_set": {
                          "presentment_money": {
                            "amount": 9.9,
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": 9.9,
                            "currency_code": "CNY"
                          }
                        },
                        "amount_set": {
                          "presentment_money": {
                            "currency_code": "CNY",
                            "amount": 100
                          },
                          "shop_money": {
                            "amount": 100,
                            "currency_code": "CYN"
                          }
                        },
                        "order_id": "21057168152571061289431726"
                      }
                    },
                    "example": [
                      {
                        "refund_id": "27057168152571061289431726",
                        "amount": "100",
                        "amount_set": {
                          "presentment_money": {
                            "amount": 100,
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": 100,
                            "currency_code": "CYN"
                          }
                        },
                        "id": "2309123221222208434",
                        "tax_amount": "100",
                        "tax_amount_set": {
                          "presentment_money": {
                            "amount": 9.9,
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": 9.9,
                            "currency_code": "CNY"
                          }
                        },
                        "kind": "shipping_refund",
                        "order_id": "21057168152571061289431726",
                        "reason": "reason msg"
                      }
                    ]
                  },
                  "refund_line_items": {
                    "name": "refund_line_items",
                    "description": "Refund Details",
                    "type": "array",
                    "items": {
                      "name": "refund_line_items",
                      "description": "Refund Details",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "Refund order number",
                          "type": "string",
                          "example": "27057168152571061289431726"
                        },
                        "line_item": {
                          "name": "line_item",
                          "description": "Product rows",
                          "type": "object",
                          "properties": {
                            "taxable": {
                              "name": "taxable",
                              "description": "Tax or not？",
                              "type": "boolean",
                              "example": true
                            },
                            "name": {
                              "name": "name",
                              "description": "SKU title, same as title",
                              "type": "string",
                              "example": "Sku title"
                            },
                            "variant_id": {
                              "name": "variant_id",
                              "description": "Product SKU serial number",
                              "type": "string",
                              "example": "18054488231146952151833534"
                            },
                            "id": {
                              "name": "id",
                              "description": "The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number",
                              "type": "string",
                              "example": "2655436734527560"
                            },
                            "fulfillment_status": {
                              "name": "fulfillment_status",
                              "description": "The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;",
                              "type": "string",
                              "example": "partial"
                            },
                            "grams": {
                              "name": "grams",
                              "description": "Weight ( grams )",
                              "type": "double",
                              "example": 1.2
                            },
                            "quantity": {
                              "name": "quantity",
                              "description": "Quantity of items in the order",
                              "type": "integer",
                              "example": 1
                            },
                            "fulfillable_quantity": {
                              "name": "fulfillable_quantity",
                              "description": "Available quantity",
                              "type": "integer",
                              "example": 1
                            },
                            "title": {
                              "name": "title",
                              "description": "Product title",
                              "type": "string",
                              "example": "Product title"
                            },
                            "requires_shipping": {
                              "name": "requires_shipping",
                              "description": "Shipping or not",
                              "type": "boolean",
                              "example": true
                            },
                            "variant_title": {
                              "name": "variant_title",
                              "description": "Commodity attribute value, multiple divided by \" / \", such as: \"155 / red / large\"",
                              "type": "string",
                              "example": "155 / red / large"
                            },
                            "vendor": {
                              "name": "vendor",
                              "description": "Supplier",
                              "type": "string",
                              "example": "Supplier"
                            },
                            "attribute": {
                              "name": "attribute",
                              "description": "Product attributes : name-attribute value multiple comma \" , \" division like : color-red , size-x",
                              "type": "string",
                              "example": "Size-x"
                            },
                            "sku": {
                              "name": "sku",
                              "description": "Product code, barCode",
                              "type": "string",
                              "example": "18054488231146952151833534"
                            },
                            "tax_lines": {
                              "name": "tax_lines",
                              "description": "Tax information",
                              "type": "array",
                              "items": {
                                "name": "tax_lines",
                                "description": "Tax information",
                                "type": "object",
                                "properties": {
                                  "rate": {
                                    "name": "rate",
                                    "description": "Tax rate",
                                    "type": "double",
                                    "example": 1.2
                                  },
                                  "title": {
                                    "name": "title",
                                    "description": "Headline",
                                    "type": "string",
                                    "example": "Headline"
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "Tax, precision 2",
                                    "type": "string",
                                    "example": "100"
                                  },
                                  "price_set": {
                                    "name": "price_set",
                                    "description": "Multi-currency information of tax",
                                    "type": "object",
                                    "properties": {
                                      "shop_money": {
                                        "name": "shop_money",
                                        "description": "Sell side amount information",
                                        "type": "object",
                                        "properties": {
                                          "currency_code": {
                                            "name": "currency_code",
                                            "description": "Currency",
                                            "type": "string",
                                            "example": "CNY"
                                          },
                                          "amount": {
                                            "name": "amount",
                                            "description": "Amount",
                                            "type": "string",
                                            "example": "100"
                                          }
                                        },
                                        "example": {
                                          "currency_code": "CNY",
                                          "amount": "100"
                                        }
                                      },
                                      "presentment_money": {
                                        "name": "presentment_money",
                                        "description": "Buy side currency",
                                        "type": "object",
                                        "properties": {
                                          "amount": {
                                            "name": "amount",
                                            "description": "Amount, Precision 2",
                                            "type": "string",
                                            "example": "100"
                                          },
                                          "currency_code": {
                                            "name": "currency_code",
                                            "description": "Currency",
                                            "type": "string",
                                            "example": "CNY"
                                          }
                                        },
                                        "example": {
                                          "currency_code": "CNY",
                                          "amount": "100"
                                        }
                                      }
                                    },
                                    "example": {
                                      "presentment_money": {
                                        "currency_code": "CNY",
                                        "amount": "100"
                                      },
                                      "shop_money": {
                                        "amount": "100",
                                        "currency_code": "CNY"
                                      }
                                    }
                                  }
                                },
                                "example": {
                                  "title": "Headline",
                                  "price": "100",
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "100",
                                      "currency_code": "CNY"
                                    },
                                    "shop_money": {
                                      "amount": "100",
                                      "currency_code": "CNY"
                                    }
                                  },
                                  "rate": 1.2
                                }
                              },
                              "example": [
                                {
                                  "price": "100",
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "100",
                                      "currency_code": "CNY"
                                    },
                                    "shop_money": {
                                      "amount": "100",
                                      "currency_code": "CNY"
                                    }
                                  },
                                  "rate": 1.2,
                                  "title": "Headline"
                                }
                              ]
                            },
                            "price": {
                              "name": "price",
                              "description": "Commodity price, precision 2",
                              "type": "string",
                              "example": "100"
                            },
                            "price_set": {
                              "name": "price_set",
                              "description": "Product selling price , multi-currency information",
                              "type": "object",
                              "properties": {
                                "presentment_money": {
                                  "name": "presentment_money",
                                  "description": "Buy side currency",
                                  "type": "object",
                                  "properties": {
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "Currency",
                                      "type": "string",
                                      "example": ""
                                    },
                                    "amount": {
                                      "name": "amount",
                                      "description": "Amount",
                                      "type": "string",
                                      "example": ""
                                    }
                                  },
                                  "example": {
                                    "amount": "",
                                    "currency_code": ""
                                  }
                                },
                                "shop_money": {
                                  "name": "shop_money",
                                  "description": "Sell side currency",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "Amount",
                                      "type": "string",
                                      "example": ""
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "Currency",
                                      "type": "string",
                                      "example": ""
                                    }
                                  },
                                  "example": {
                                    "amount": "",
                                    "currency_code": ""
                                  }
                                }
                              },
                              "example": {
                                "shop_money": {
                                  "amount": "",
                                  "currency_code": ""
                                },
                                "presentment_money": {
                                  "amount": "",
                                  "currency_code": ""
                                }
                              }
                            },
                            "fulfillment_service": {
                              "name": "fulfillment_service",
                              "description": "Logistics company name",
                              "type": "string",
                              "example": "Go square"
                            },
                            "product_id": {
                              "name": "product_id",
                              "description": "SPU serial number",
                              "type": "string",
                              "example": "18054488231146952151833534"
                            }
                          },
                          "example": {
                            "fulfillable_quantity": 1,
                            "vendor": "Supplier",
                            "product_id": "18054488231146952151833534",
                            "taxable": true,
                            "variant_id": "18054488231146952151833534",
                            "price": "100",
                            "tax_lines": [
                              {
                                "price": "100",
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "100",
                                    "currency_code": "CNY"
                                  },
                                  "shop_money": {
                                    "amount": "100",
                                    "currency_code": "CNY"
                                  }
                                },
                                "rate": 1.2,
                                "title": "Headline"
                              }
                            ],
                            "title": "Product title",
                            "quantity": 1,
                            "attribute": "Size-x",
                            "id": "2655436734527560",
                            "fulfillment_status": "partial",
                            "sku": "18054488231146952151833534",
                            "price_set": {
                              "presentment_money": {
                                "amount": "",
                                "currency_code": ""
                              },
                              "shop_money": {
                                "amount": "",
                                "currency_code": ""
                              }
                            },
                            "name": "Sku title",
                            "grams": 1.2,
                            "fulfillment_service": "Go square",
                            "variant_title": "155 / red / large",
                            "requires_shipping": true
                          }
                        },
                        "restock_type": {
                          "name": "restock_type",
                          "description": "Inventory return type , no_restock- is not returned , cancel- is cancelled , return- is returned",
                          "type": "string",
                          "example": "no_restock"
                        },
                        "subtotal_set": {
                          "name": "subtotal_set",
                          "description": "Total refund amount, multi-currency information, same on seller and buyer side",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Buy side currency",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "100"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": "100"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Sell side amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "100"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": "100"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            },
                            "shop_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            }
                          }
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Quantity, quantity of goods",
                          "type": "integer",
                          "example": 1
                        },
                        "subtotal": {
                          "name": "subtotal",
                          "description": "Total refund amount, precision 2",
                          "type": "double",
                          "example": 100
                        },
                        "total_tax": {
                          "name": "total_tax",
                          "description": "Tax amount of refunded goods, precision 2",
                          "type": "double",
                          "example": 100
                        },
                        "total_tax_set": {
                          "name": "total_tax_set",
                          "description": "Total tax amount, multi-currency information",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Sell side currency",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "CNY"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "100"
                                }
                              },
                              "example": {
                                "amount": "100",
                                "currency_code": "CNY"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Buy side currency",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "100"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "amount": "100",
                                "currency_code": "CNY"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "CNY",
                              "amount": "100"
                            },
                            "shop_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            }
                          }
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number",
                          "type": "string",
                          "example": "23312553324324"
                        }
                      },
                      "example": {
                        "restock_type": "no_restock",
                        "subtotal_set": {
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          },
                          "presentment_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        },
                        "quantity": 1,
                        "total_tax": 100,
                        "line_item_id": "23312553324324",
                        "id": "27057168152571061289431726",
                        "line_item": {
                          "price_set": {
                            "shop_money": {
                              "currency_code": "",
                              "amount": ""
                            },
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          },
                          "sku": "18054488231146952151833534",
                          "quantity": 1,
                          "fulfillment_status": "partial",
                          "product_id": "18054488231146952151833534",
                          "requires_shipping": true,
                          "fulfillment_service": "Go square",
                          "id": "2655436734527560",
                          "variant_title": "155 / red / large",
                          "taxable": true,
                          "fulfillable_quantity": 1,
                          "name": "Sku title",
                          "price": "100",
                          "variant_id": "18054488231146952151833534",
                          "attribute": "Size-x",
                          "title": "Product title",
                          "grams": 1.2,
                          "vendor": "Supplier",
                          "tax_lines": [
                            {
                              "price_set": {
                                "shop_money": {
                                  "amount": "100",
                                  "currency_code": "CNY"
                                },
                                "presentment_money": {
                                  "currency_code": "CNY",
                                  "amount": "100"
                                }
                              },
                              "rate": 1.2,
                              "title": "Headline",
                              "price": "100"
                            }
                          ]
                        },
                        "subtotal": 100,
                        "total_tax_set": {
                          "presentment_money": {
                            "currency_code": "CNY",
                            "amount": "100"
                          },
                          "shop_money": {
                            "currency_code": "CNY",
                            "amount": "100"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "line_item_id": "23312553324324",
                        "total_tax": 100,
                        "total_tax_set": {
                          "presentment_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        },
                        "id": "27057168152571061289431726",
                        "restock_type": "no_restock",
                        "subtotal_set": {
                          "presentment_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        },
                        "line_item": {
                          "fulfillment_service": "Go square",
                          "name": "Sku title",
                          "product_id": "18054488231146952151833534",
                          "quantity": 1,
                          "requires_shipping": true,
                          "variant_title": "155 / red / large",
                          "id": "2655436734527560",
                          "title": "Product title",
                          "vendor": "Supplier",
                          "grams": 1.2,
                          "price": "100",
                          "tax_lines": [
                            {
                              "rate": 1.2,
                              "title": "Headline",
                              "price": "100",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "100",
                                  "currency_code": "CNY"
                                },
                                "shop_money": {
                                  "amount": "100",
                                  "currency_code": "CNY"
                                }
                              }
                            }
                          ],
                          "fulfillment_status": "partial",
                          "variant_id": "18054488231146952151833534",
                          "attribute": "Size-x",
                          "sku": "18054488231146952151833534",
                          "price_set": {
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          },
                          "fulfillable_quantity": 1,
                          "taxable": true
                        },
                        "quantity": 1,
                        "subtotal": 100
                      }
                    ]
                  },
                  "user_id": {
                    "name": "user_id",
                    "description": "User ID",
                    "type": "string",
                    "example": "16576456"
                  },
                  "note": {
                    "name": "note",
                    "description": "Refund Notes",
                    "type": "string",
                    "example": "Notes"
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order number",
                    "type": "string",
                    "example": "21057168152571061289431726"
                  },
                  "id": {
                    "name": "id",
                    "description": "Refund ID",
                    "type": "string",
                    "example": "SL201AS4571669738589065294"
                  },
                  "total_duties_set": {
                    "name": "total_duties_set",
                    "description": "Refund total duty",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": ""
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "amount": "",
                          "currency_code": ""
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": ""
                          },
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "amount": "",
                          "currency_code": ""
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "",
                        "currency_code": ""
                      },
                      "presentment_money": {
                        "currency_code": "",
                        "amount": ""
                      }
                    }
                  }
                },
                "example": {
                  "id": "SL201AS4571669738589065294",
                  "order_id": "21057168152571061289431726",
                  "note": "Notes",
                  "order_adjustments": [
                    {
                      "reason": "reason msg",
                      "amount_set": {
                        "shop_money": {
                          "amount": 100,
                          "currency_code": "CYN"
                        },
                        "presentment_money": {
                          "amount": 100,
                          "currency_code": "CNY"
                        }
                      },
                      "id": "2309123221222208434",
                      "kind": "shipping_refund",
                      "tax_amount": "100",
                      "tax_amount_set": {
                        "presentment_money": {
                          "amount": 9.9,
                          "currency_code": "CNY"
                        },
                        "shop_money": {
                          "currency_code": "CNY",
                          "amount": 9.9
                        }
                      },
                      "amount": "100",
                      "refund_id": "27057168152571061289431726",
                      "order_id": "21057168152571061289431726"
                    }
                  ],
                  "created_at": "2022-10-03T12:44:45-04:00",
                  "processed_at": "2022-10-03T12:44:45-04:00",
                  "user_id": "16576456",
                  "transactions": [
                    {
                      "amount": "100",
                      "processed_at": "2022-10-03T12:44:45-04:00",
                      "status": "success",
                      "id": "10100112220607455014540963840",
                      "order_id": "21056836827909126061559008",
                      "currency": "CNY",
                      "user_id": "\"4323434",
                      "kind": "refund",
                      "created_at": "2022-10-03T12:44:45-04:00"
                    }
                  ],
                  "refund_line_items": [
                    {
                      "subtotal": 100,
                      "total_tax_set": {
                        "presentment_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        },
                        "shop_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        }
                      },
                      "total_tax": 100,
                      "line_item_id": "23312553324324",
                      "restock_type": "no_restock",
                      "subtotal_set": {
                        "presentment_money": {
                          "currency_code": "CNY",
                          "amount": "100"
                        },
                        "shop_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        }
                      },
                      "line_item": {
                        "quantity": 1,
                        "fulfillment_status": "partial",
                        "sku": "18054488231146952151833534",
                        "name": "Sku title",
                        "vendor": "Supplier",
                        "attribute": "Size-x",
                        "requires_shipping": true,
                        "fulfillment_service": "Go square",
                        "price": "100",
                        "id": "2655436734527560",
                        "variant_id": "18054488231146952151833534",
                        "taxable": true,
                        "price_set": {
                          "presentment_money": {
                            "amount": "",
                            "currency_code": ""
                          },
                          "shop_money": {
                            "currency_code": "",
                            "amount": ""
                          }
                        },
                        "grams": 1.2,
                        "tax_lines": [
                          {
                            "price": "100",
                            "price_set": {
                              "presentment_money": {
                                "amount": "100",
                                "currency_code": "CNY"
                              },
                              "shop_money": {
                                "amount": "100",
                                "currency_code": "CNY"
                              }
                            },
                            "rate": 1.2,
                            "title": "Headline"
                          }
                        ],
                        "fulfillable_quantity": 1,
                        "title": "Product title",
                        "product_id": "18054488231146952151833534",
                        "variant_title": "155 / red / large"
                      },
                      "id": "27057168152571061289431726",
                      "quantity": 1
                    }
                  ],
                  "total_duties_set": {
                    "presentment_money": {
                      "amount": "",
                      "currency_code": ""
                    },
                    "shop_money": {
                      "amount": "",
                      "currency_code": ""
                    }
                  }
                }
              }
            },
            "example": {
              "refund": {
                "processed_at": "2022-10-03T12:44:45-04:00",
                "transactions": [
                  {
                    "kind": "refund",
                    "status": "success",
                    "amount": "100",
                    "processed_at": "2022-10-03T12:44:45-04:00",
                    "created_at": "2022-10-03T12:44:45-04:00",
                    "currency": "CNY",
                    "order_id": "21056836827909126061559008",
                    "user_id": "\"4323434",
                    "id": "10100112220607455014540963840"
                  }
                ],
                "order_id": "21057168152571061289431726",
                "created_at": "2022-10-03T12:44:45-04:00",
                "id": "SL201AS4571669738589065294",
                "refund_line_items": [
                  {
                    "line_item": {
                      "variant_title": "155 / red / large",
                      "price": "100",
                      "attribute": "Size-x",
                      "vendor": "Supplier",
                      "requires_shipping": true,
                      "fulfillable_quantity": 1,
                      "price_set": {
                        "presentment_money": {
                          "currency_code": "",
                          "amount": ""
                        },
                        "shop_money": {
                          "amount": "",
                          "currency_code": ""
                        }
                      },
                      "name": "Sku title",
                      "taxable": true,
                      "quantity": 1,
                      "product_id": "18054488231146952151833534",
                      "sku": "18054488231146952151833534",
                      "tax_lines": [
                        {
                          "price_set": {
                            "shop_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            },
                            "presentment_money": {
                              "currency_code": "CNY",
                              "amount": "100"
                            }
                          },
                          "rate": 1.2,
                          "title": "Headline",
                          "price": "100"
                        }
                      ],
                      "grams": 1.2,
                      "title": "Product title",
                      "fulfillment_status": "partial",
                      "id": "2655436734527560",
                      "variant_id": "18054488231146952151833534",
                      "fulfillment_service": "Go square"
                    },
                    "restock_type": "no_restock",
                    "subtotal": 100,
                    "total_tax": 100,
                    "total_tax_set": {
                      "presentment_money": {
                        "currency_code": "CNY",
                        "amount": "100"
                      },
                      "shop_money": {
                        "amount": "100",
                        "currency_code": "CNY"
                      }
                    },
                    "line_item_id": "23312553324324",
                    "subtotal_set": {
                      "shop_money": {
                        "amount": "100",
                        "currency_code": "CNY"
                      },
                      "presentment_money": {
                        "amount": "100",
                        "currency_code": "CNY"
                      }
                    },
                    "id": "27057168152571061289431726",
                    "quantity": 1
                  }
                ],
                "order_adjustments": [
                  {
                    "reason": "reason msg",
                    "refund_id": "27057168152571061289431726",
                    "tax_amount": "100",
                    "amount_set": {
                      "presentment_money": {
                        "amount": 100,
                        "currency_code": "CNY"
                      },
                      "shop_money": {
                        "currency_code": "CYN",
                        "amount": 100
                      }
                    },
                    "amount": "100",
                    "id": "2309123221222208434",
                    "tax_amount_set": {
                      "presentment_money": {
                        "amount": 9.9,
                        "currency_code": "CNY"
                      },
                      "shop_money": {
                        "currency_code": "CNY",
                        "amount": 9.9
                      }
                    },
                    "kind": "shipping_refund",
                    "order_id": "21057168152571061289431726"
                  }
                ],
                "user_id": "16576456",
                "total_duties_set": {
                  "presentment_money": {
                    "amount": "",
                    "currency_code": ""
                  },
                  "shop_money": {
                    "amount": "",
                    "currency_code": ""
                  }
                },
                "note": "Notes"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/:order_id/refunds/:refund_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query order specify of your money back order",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```